{{ log "chat/chatCard-check.hbs" this }}

<div class="sheet-card">

    <div class="flexrow">
        <div class="a25-image">
            {{#if roll.target.document.texture.src}}
                <img class="a25-token" src="{{roll.target.document.texture.src}}" width="50" height="50" />
            {{else}}
                <img class="a25-token" src="{{source.img}}" width="50" height="50" />
            {{/if}}
        </div>

        {{#if (or roll.actionSource.img roll.skill.img)}}
            <div class="a25-image">
                {{#if roll.actionSource.img}}
                    <img class="a25-token" src="{{roll.actionSource.img}}" width="50" height="50" />
                {{else}}
                    {{#if roll.skill.img}}
                        <img src="{{roll.skill.img}}" width="50" height="50" />
                    {{/if}}
                {{/if}}
            </div>
        {{/if}}

    </div>

    <div class="testResult">
        <div class="{{#if passedcheck}}succeedCheck{{else}}failedCheck{{/if}}">



            <div class="check-result">
                {{#if passedcheck}}
                    {{localize "ARS.succeeded"}}
                {{else}}
                    {{localize "ARS.failed"}}
                {{/if}}
                {{!-- if a skill 20 is fumble, 1 is crit --}}
                {{#if roll.isSkill}}
                    {{#if critical}}
                        <b>{{ localize "ARS.fumbled" }}</b>
                    {{/if}}
                    {{#if fumble}}
                        <b>{{localize "ARS.critical"}}</b>
                    {{/if}}
                {{/if}}

                {{!-- power checks --}}
                {{#if roll.isPower}}
                    {{!-- crit is 1, a weak success --}}
                    {{#if critical}}
                        <b>{{ localize "ARS.powerWeakSuccess" }}</b>
                    {{/if}}

                    {{!-- fumble is 20 --}}
                    {{#if fumble}}
                        <b>{{localize "ARS.powerScoreFumble"}}</b>
                    {{/if}}

                    {{!-- natural roll of the power score itself = special happenings --}}
                    {{#if powerScoreRoll}}
                        <b>{{localize "ARS.powerScoreRoll"}}</b>
                    {{/if}}

                {{!-- abilities, saves --}}
                {{else}}
                    {{!-- ability/save check 1 is fumble, 20 is crit --}}
                    {{#if critical}}
                        <b>{{ localize "ARS.critical" }}</b>
                    {{/if}}
                    {{#if fumble}}
                        <b>{{localize "ARS.fumbled"}}</b>
                    {{/if}}
                {{/if}}

            </div>

            <div class="check-details-block">
                <div class="{{#if passedcheck}}succeedCheck{{else}}failedCheck{{/if}}">
                    <div data-id="{{checkTarget.id}}" class="check-name secure-name">
                        {{checkTarget.name}}
                    </div>
                    <div style="display: flex; align-items: left" class="check-status-block">
                        <div class="left-side flexcol">
                            <div class="check-roll-label">
                                <a data-tooltip="{{total}}">Total: {{total}}</a>
                            </div>
                            <div>
                                {{roll.label}}
                            </div>
                        </div>
                        <div class="right-side flexcol">
                            <div class="check-test">
                                <a data-tooltip="{{roll.checkTargetFormula}}">
                                    {{localize "ARS.target"}} {{targetnumber}}
                                </a>
                            </div>
                            <div>
                                {{#if difference}}{{#if passedcheck}}{{localize "ARS.succeeded"}}{{else}}{{localize "ARS.failed"}}{{/if}}
                                    by {{difference}}{{/if}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {{> "systems/ars/templates/chat/parts/chatCard-dice-roll.hbs" roll=roll}}

</div>